Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.extra.spath
Class Step

    java.lang.Object
      org.apache.taglibs.standard.extra.spath.Step

    public class Step

extends Object

Represents a 'step' in an SPath expression.

Author:
  Shawn Bayern

Constructor Summary
`Step(boolean depthUnlimited, String name, List predicates)` Constructs a new Step object, given a name and a (possibly null) list of predicates.

Method Summary
`String` | `getName()` Returns the Step's node name.
`List` | `getPredicates()` Returns a list of this Step object's predicates.
`boolean` | `isDepthUnlimited()` Returns true if the Step's depth is unlimited, false otherwise.
`boolean` | `isMatchingName(String uri, String localPart)` Returns true if the given name matches the Step object's name, taking into account the Step object's wildcards; returns false otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Step

    public Step(boolean depthUnlimited,
                String name,
                List predicates)

  Constructs a new Step object, given a name and a (possibly null) list of predicates. A boolean is also passed, indicating whether this particular Step is relative to the 'descendent-or-self' axis of the node courrently under consideration. If true, it is; if false, then this Step is rooted as a direct child of the node under consideration.

Method Detail

### isMatchingName

    public boolean isMatchingName(String uri,
                                  String localPart)

  Returns true if the given name matches the Step object's name, taking into account the Step object's wildcards; returns false otherwise.

### isDepthUnlimited

    public boolean isDepthUnlimited()

  Returns true if the Step's depth is unlimited, false otherwise.

### getName

    public String getName()

  Returns the Step's node name.

### getPredicates

    public List getPredicates()

  Returns a list of this Step object's predicates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.